Package org.eclipse.ecf.provider.util

## Class IdentifiableObjectInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - org.eclipse.ecf.core.util.OSGIObjectInputStream
      - - org.eclipse.ecf.provider.util.IdentifiableObjectInputStream

All Implemented Interfaces:
  `Closeable`, `DataInput`, `ObjectInput`, `ObjectStreamConstants`, `AutoCloseable`, `OSGIObjectStreamConstants`

    public class IdentifiableObjectInputStream
    extends OSGIObjectInputStream

Restores Java objects from the underlying stream by using the classloader returned from the call to given IClassLoaderMapper with the Namespace/ID specified by the associated IdentifiableObjectOutputStream.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.io.ObjectInputStream

`ObjectInputStream.GetField`

### Field Summary

### Fields inherited from class org.eclipse.ecf.core.util.OSGIObjectInputStream

`b, in, logger`

### Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, SERIAL_FILTER_PERMISSION, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

### Fields inherited from interface org.eclipse.ecf.core.util.OSGIObjectStreamConstants

`C_ARRAY, C_BOOL, C_BYTE, C_CHAR, C_COLL, C_DICT, C_DOUBLE, C_DTO, C_ENUM, C_EXTER, C_FLOAT, C_INT, C_ITER, C_LIST, C_LONG, C_MAP, C_NULL, C_OBJECT, C_OBOOL, C_OBYTE, C_OCHAR, C_ODOUBLE, C_OFLOAT, C_OINT, C_OLONG, C_OSHORT, C_SER, C_SET, C_SHORT, C_STRING, C_VER`

### Constructor Summary

Constructors
`IdentifiableObjectInputStream​(IClassLoaderMapper map, InputStream ins)`
`IdentifiableObjectInputStream​(Bundle b, InputStream ins)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Class` `resolveClass​(ObjectStreamClass desc)`

### Methods inherited from class org.eclipse.ecf.core.util.OSGIObjectInputStream

`available, close, createInstance, getClassForType, loadClass, read, read, readBoolean, readByte, readChar, readDouble, readExternalizable, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readNonSerializedObject, readObjectOverride, readSerializedObject, readShort, readUnsignedByte, readUnsignedShort, readUTF, setClassLoader, setLogService, skipBytes, trace`

### Methods inherited from class java.io.ObjectInputStream

`defaultReadObject, enableResolveObject, getObjectInputFilter, readClassDescriptor, readFields, readObject, readStreamHeader, readUnshared, registerValidation, resolveObject, resolveProxyClass, setObjectInputFilter`

### Methods inherited from class java.io.InputStream

`mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.ObjectInput

`read, skip`

### Constructor Detail

#### IdentifiableObjectInputStream

    public IdentifiableObjectInputStream​(IClassLoaderMapper map,
                                         InputStream ins)
                                  throws IOException

Throws:
  `IOException`

#### IdentifiableObjectInputStream

    public IdentifiableObjectInputStream​(Bundle b,
                                         InputStream ins)
                                  throws IOException

Throws:
  `IOException`
Since:
  4.8

### Method Detail

#### resolveClass

    protected Class resolveClass​(ObjectStreamClass desc)
                          throws IOException,
                                 ClassNotFoundException

Overrides:
  `resolveClass` in class `ObjectInputStream`
Throws:
  `IOException`
  `ClassNotFoundException`